### Method

# Gtk TreeModelget_iter_from_string

deprecated: 4.10

#### Declaration [src]

    gboolean
    gtk_tree_model_get_iter_from_string (
      GtkTreeModel* tree_model,
      GtkTreeIter* iter,
      const char* path_string
    )

#### Description [src]

Sets `iter` to a valid iterator pointing to `path_string`, if it exists.

Otherwise, `iter` is left invalid and `FALSE` is returned.

Deprecated since: 4.10

Please do not use it in newly written code.

#### Parameters

`iter`

  Type: `GtkTreeIter`

  An uninitialized `GtkTreeIter`

  The argument will be set by the function.
  The data is owned by the instance.

`path_string`

  Type: `const char*`

  A string representation of a `GtkTreePath`

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE`, if `iter` was set.